//
// C++ Implementation: cappendcolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cappendcolumn.h"
#include <QStandardItemModel>

cAppendColumn::cAppendColumn(QStandardItemModel *model,const QList<QStandardItem*> &cd,const QString &t,QUndoCommand* parent)
	: QUndoCommand(parent),model(model),colData(cd),Title(t)
{
	setText("Spalte einfuegen");
}

cAppendColumn::~cAppendColumn()
{
	qDeleteAll(colData);
}


void cAppendColumn::redo()
{
	col = model->columnCount();
	model->appendColumn(colData);
	model->setHeaderData(col,Qt::Horizontal,Title);
	colData.clear();
}

void cAppendColumn::undo()
{
	colData = model->takeColumn(col);
}
