//
// C++ Implementation: cremoveview
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cremoveview.h"

#include "view.h"
#include "modelclient.h"

cRemoveView::cRemoveView(View * v,ModelClient *m,const QString &ti,const QString &ad,const QString &dg,const QString &tx,const QVector<int> &sp,const QByteArray &p, QUndoCommand* parent): QUndoCommand(parent),view(v),mc(m),Title(ti),Adapter(ad),Diagram(dg),Text(tx),param(p),Spalten(sp)
{
	setText("Ansicht entfernen");
}

cRemoveView::~cRemoveView()
{
}


void cRemoveView::redo()
{
	index = view->viewIndex(mc);
	view->removeView(mc);
}

void cRemoveView::undo()
{
	mc = view->createView(Adapter,Diagram,Spalten,Title,Text);
	QDataStream in(param);
	if(mc) mc->loadData(in);
	int ni = view->viewIndex(mc);
	view->moveView(ni,index);
}

