//
// C++ Interface: cremoveview
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CREMOVEVIEW_H
#define CREMOVEVIEW_H

#include <QUndoCommand>
#include <QVector>

class View;
class ModelClient;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cRemoveView : public QUndoCommand
{
public:
    cRemoveView(View *v,ModelClient *m,const QString &ti,const QString &ad,const QString &dg,const QString &tx,const QVector<int> &sp,const QByteArray &p,QUndoCommand* parent=0);

    ~cRemoveView();

    virtual void redo();
    virtual void undo();
    
protected:
	View * view;
	ModelClient *mc;
	QString Title,Adapter,Diagram,Text;
	QByteArray param;
	QVector<int> Spalten;
	int index;
};

#endif
