//
// C++ Interface: modelaenlichkeitstabelle
//
// Description:
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef MODELAENLICHKEITS3DTABELLE_H
#define MODELAENLICHKEITS3DTABELLE_H

#include <modelclient.h>
#include <balken3ddiagram.h>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class ModelAenlichkeits3dView : public ModelClient
{
	Q_OBJECT

public:
    ModelAenlichkeits3dView();

    ~ModelAenlichkeits3dView();

    void setSpalten(const QVector<int> &spalten);
    void setModel(QStandardItemModel *m);

public slots:
        void updateDiagram();

protected:
	QVector<int> Spalten;
	Balken3dDiagram *table;

};

#endif
