#ifndef _MYGLDRAWER_H_
#define _MYGLDRAWER_H_

#include <QGLWidget>
#include <QVector>

class Balken3dDiagram : public QGLWidget
{
Q_OBJECT

 public:
     Balken3dDiagram(QWidget *parent=0);

     void setRowCount(int r);
     int rowCount();
     void setColumnCount(int c);
     int columnCount();
     
     void setData(int y,int x,double d);

 protected:
	 QPoint lastPos;
	 GLuint list;
	 int xRot,yRot,zRot;
	 int rows,cols;
	 QVector<double> data;

 protected:
	 void initializeGL();
	 void resizeGL(int w, int h);
	 void paintGL();
	 void mousePressEvent(QMouseEvent *event);
	 void mouseMoveEvent(QMouseEvent *event);

};

#endif
