//
// C++ Interface: cappendcolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CAPPENDCOLUMN_H
#define CAPPENDCOLUMN_H

#include <QUndoCommand>
class QStandardItemModel;
class QStandardItem;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cAppendColumn : public QUndoCommand
{
public:
    
    
    cAppendColumn(QStandardItemModel *model,const QList<QStandardItem*> &cd,const QString &t,QUndoCommand* parent=0);

    ~cAppendColumn();

    virtual void redo();
    virtual void undo();
    
protected:
	QString title;
	QStandardItemModel *model;
	QList<QStandardItem*> colData;
	int col;
	QString Title;
};

#endif
