//
// C++ Interface: crenamecolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CRENAMECOLUMN_H
#define CRENAMECOLUMN_H

#include <QUndoCommand>

class QAbstractItemModel;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cRenameColumn : public QUndoCommand
{
public:
    cRenameColumn(QAbstractItemModel *m,int s,const QString &on,const QString &nn,QUndoCommand* parent=0);

    ~cRenameColumn();

    virtual void redo();
    virtual void undo();

protected:
	QAbstractItemModel *model;
	int spalte;
	QString oldName,newName;

};

#endif
