//
// C++ Implementation: excelbalkendiagram
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "excelbalkendiagram.h"

#include <QPainter>

ExcelBalkenDiagram::ExcelBalkenDiagram()
 : Diagram()
{
}


ExcelBalkenDiagram::~ExcelBalkenDiagram()
{
}


void ExcelBalkenDiagram::paintEvent(QPaintEvent* ev)
{
	// Zeile ist in data
	
	int hstart=10;
	int b=(width()-20)/(2*data.size()/row_width);
	int bstart=b/2;
	QPainter painter(this);
	painter.fillRect(rect(),Qt::white);
	
	for(int Zeile=0;Zeile<data.size()/row_width;Zeile++)
	{
		double sum =0;
		// 1
		for(int i=0;i<=row_width;i++)
		{
			sum = sum + data[i+Zeile*row_width];
		}
		//2
		for(int Spalte=0;Spalte<=row_width;Spalte++)
		{
			double y=data[Spalte+Zeile*row_width]/sum;
			// 3
			int x = y*(height()-20);
			// 4
			QColor c = colors[Spalte%colors.count()];
			painter.fillRect(bstart,hstart,b,x,c);
			hstart = hstart+x;
		}
		hstart = 10;
		bstart += 2*b;
	}
}

