//
// C++ Implementation: haeufigkeitsprozentdiagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "haeufigkeitsprozentdiagramadapter.h"
#include "diagram.h"

#include <algorithm>
#include <numeric>

HaeufigkeitsProzentDiagramAdapter::HaeufigkeitsProzentDiagramAdapter()
 : HaeufigkeitsDiagramAdapter()
{
}


HaeufigkeitsProzentDiagramAdapter::~HaeufigkeitsProzentDiagramAdapter()
{
}


void HaeufigkeitsProzentDiagramAdapter::processData(QVector< double >& d)
{
	using namespace std;
	double sum = std::accumulate(d.begin(),d.end(),0.0);
	transform(d.begin(),d.end(),d.begin(),bind2nd(divides<double>(),sum/100.0));
	td->setValuePostfix("%"); // Diagram auf Prozentangabe einstellen
}

