//
// C++ Interface: modelclient
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef MODELCLIENT_H
#define MODELCLIENT_H

#include <QWidget>
#include <QVector>
#include <QDataStream>
class QStandardItemModel;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class ModelClient : public QWidget
{
	Q_OBJECT
public:
    ModelClient(QWidget* parent=0);

    ~ModelClient();
    
    virtual void setModel(QStandardItemModel *m)=0;
    virtual void saveData(QDataStream& s,int ver=1);
    virtual void loadData(QDataStream& s,int ver=1);
    
protected:
	QStandardItemModel *_model;
	
};

#endif
