//
// C++ Interface: statistiktabelle
//
// Description: 
//
//
// Author: Priyanka Singh <priyanka@india-souring-research.com>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef STATISTIKTABELLE_H
#define STATISTIKTABELLE_H
#include "modelclient.h"
#include "textinhalt.h"
#include <QTableWidget>
#include <QMouseEvent>

/**
	@author Priyanka Singh <priyanka@india-souring-research.com>
*/
class StatistikTabelle:public ModelClient,public TextInhalt
{
	Q_OBJECT

public:
    StatistikTabelle();

    ~StatistikTabelle();
    
    void setSpalten(const QVector<int> &spalten);
    void setModel(QStandardItemModel *m);

	QString toText();
	QString toHTML();

public slots:
        void updateDiagram();

protected:
	QVector<int> Spalten;
	QTableWidget *table;
	QPoint dragStartPosition;
	void mousePressEvent(QMouseEvent *event);
	void mouseMoveEvent(QMouseEvent *event);

};

#endif

